{
  "format_version": "1.10.0",
  "minecraft:client_entity": {
    "description": {
      "identifier": "mdrb:elevator_mdrb",
      "materials": {
        "default": "entity_emissive"
      },
      "textures": {
        "default": "textures/entity/elevator_mdrb",
        "button": "textures/entity/elevator_button_mdrb",
        "button_up": "textures/entity/elevator_button_up_mdrb",
        "button_down": "textures/entity/elevator_button_down_mdrb"
      },
      "geometry": {
        "default": "geometry.elevator_mdrb",
        "button": "geometry.elevator_button.mdrb"
      },
      "animations": {
        "control": "controller.animation.elevator_mdrb",
        "open": "animation.elevator_mdrb.open",
        "offset": "animation.elevator_mdrb.offset"
      },
      "scripts": {
        "pre_animation": [
          "v.open = q.property('md:open');",
          "v.move = q.property('md:move');"
        ],
        "animate": [
         "offset", "control"
        ]
      },
      "render_controllers": [
        "controller.render.elevator_mdrb",
        "controller.render.elevator_button_mdrb"
      ],
      "spawn_egg": {
        "texture": "elevator_mdrb"
      }
    }
  }
}